version: '3.5'
services:
  jellyfin:
    image: nyanmisaka/jellyfin
    container_name: jellyfin
    #user: 1000:1000
    group_add:
      - "105" # Change this to match your "render" host group id and remove this comment  命令查看id#getent group render | cut -d: -f3
    volumes:
      - /opt/docker-data/nyanmisaka-jellyfin/config:/config
      - /opt/docker-data/nyanmisaka-jellyfin/cache:/cache
      - /mnt/movies:/media
    ports:
      - 8096:8096
      - 8920:8920 #optional
      - 7359:7359/udp #optional
      - 1900:1900/udp #optional
    #privileged: true
    # Optional - alternative address used for autodiscovery
    environment:
      - TZ=Asia/Shanghai
      - JELLYFIN_PublishedServerUrl=192.168.3.168 #optional
    devices:
      - /dev/dri/renderD128:/dev/dri/renderD128 #optional
    restart: unless-stopped